Package gov.nasa.gsfc.sscweb.schema

# Class Tsyganenko89CBFieldModel

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ExternalBFieldModel
gov.nasa.gsfc.sscweb.schema.Tsyganenko89CBFieldModel

public class Tsyganenko89CBFieldModel extends ExternalBFieldModel
Tsyganenko 89c external B-Field model. <p>Java class for Tsyganenko89cBFieldModel complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Tsyganenko89cBFieldModel"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}ExternalBFieldModel"> <sequence> <element name="KeyParameterValues" type="{http://sscweb.gsfc.nasa.gov/schema}Tsyganenko89cKp"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Tsyganenko89CKp`
  `keyParameterValues`
  Key Parameter values.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tsyganenko89CBFieldModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tsyganenko89CKp`
  `getKeyParameterValues()`
  Key Parameter values.
  `void`
  `setKeyParameterValues(Tsyganenko89CKp value)`
  Sets the value of the keyParameterValues property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### keyParameterValues

    protected Tsyganenko89CKp keyParameterValues
    Key Parameter values.

- ## Constructor Details

  - ### Tsyganenko89CBFieldModel

    public Tsyganenko89CBFieldModel()

- ## Method Details

  - ### getKeyParameterValues

    public Tsyganenko89CKp getKeyParameterValues()
    Key Parameter values.
    Returns:
      possible object is `Tsyganenko89CKp`

  - ### setKeyParameterValues

    public void setKeyParameterValues(Tsyganenko89CKp value)
    Sets the value of the keyParameterValues property.
    Parameters:
      `value` - allowed object is `Tsyganenko89CKp`
    See Also:
      - `getKeyParameterValues()`